<?php if(!defined('PLX_ROOT')) exit; ?>

	<?php if($plxShow->plxMotor->plxRecord_coms): ?>
		<div id="comments" class="hentry">
			<h2><?php echo $plxShow->artNbCom() ?></h2>
			<?php while($plxShow->plxMotor->plxRecord_coms->loop()): # On boucle sur les commentaires ?>
				<div id="<?php $plxShow->comId(); ?>" class="comment <?php $plxShow->comLevel(); ?>">
					<div id="com-<?php $plxShow->comIndex(); ?>">
						<blockquote>
							<p class="info_comment"><a class="num-com" href="<?php $plxShow->ComUrl() ?>" title="#<?php echo $plxShow->plxMotor->plxRecord_coms->i+1 ?>">#<?php echo $plxShow->plxMotor->plxRecord_coms->i+1 ?></a>&nbsp;<?php $plxShow->comDate('#day #num_day #month #num_year(4) &#64; #hour:#minute'); ?> <?php $plxShow->comAuthor('link'); ?> <?php $plxShow->lang('SAID') ?> : </p>
							<p class="content_com type-<?php $plxShow->comType(); ?>"><?php $plxShow->comContent() ?></p>
							<a rel="nofollow" href="<?php $plxShow->artUrl(); ?>#form" onclick="replyCom('<?php $plxShow->comIndex() ?>')"><?php $plxShow->lang('REPLY'); ?></a>							
						</blockquote>
					</div>					
				</div>
			<?php endwhile; # Fin de la boucle sur les commentaires ?>

			<div id="feed">
				<p class="feed-commentaires"><?php $plxShow->comFeed('rss',$plxShow->artId()); ?></p>
			</div>
		</div>
		
	<?php endif; ?>

	<?php if($plxShow->plxMotor->plxRecord_arts->f('allow_com') AND $plxShow->plxMotor->aConf['allow_com']): ?>
		<div id="form" class="hentry">
			<h2><?php $plxShow->lang('WRITE_A_COMMENT') ?></h2>
			<form action="<?php $plxShow->artUrl(); ?>#form" method="post">
				<fieldset>
					<label for="id_name"><?php $plxShow->lang('NAME') ?>&nbsp;:</label>
					<input id="id_name" name="name" type="text" size="20" value="<?php $plxShow->comGet('name',''); ?>" maxlength="30" />
					<label for="id_mail"><?php $plxShow->lang('EMAIL') ?>&nbsp;:</label>
					<input id="id_mail" name="mail" type="text" size="20" value="<?php $plxShow->comGet('mail',''); ?>" />
					<label for="id_site"><?php $plxShow->lang('WEBSITE') ?>&nbsp;:</label>
					<input id="id_site" name="site" type="text" size="20" value="<?php $plxShow->comGet('site',''); ?>" />
					<div id="com_content">
						<div id="id_answer"></div>
						<label for="id_content" class="lab_com"><?php $plxShow->lang('COMMENT') ?>&nbsp;:</label>
						<textarea id="id_content" name="content"><?php $plxShow->comGet('content',''); ?></textarea>
					</div>
					
					<?php $plxShow->comMessage('<p id="com_message" class="text-red"><strong>#com_message</strong></p>'); ?>
					
					<?php if($plxShow->plxMotor->aConf['capcha']): ?>
						<label for="id_rep"><strong><?php echo $plxShow->lang('ANTISPAM_WARNING') ?></strong>&nbsp;:</label>
						<p><?php $plxShow->capchaQ(); ?>&nbsp;:&nbsp;<input id="id_rep" name="rep" type="text" size="10" /></p>
					<?php endif; ?>

					<input type="hidden" id="id_parent" name="parent" value="<?php $plxShow->comGet('parent',''); ?>" />
					<input type="submit" value="<?php $plxShow->lang('SEND') ?>" />
				</fieldset>
			</form>
		</div>
		
		<script>
			function replyCom(idCom) {
				document.getElementById('id_answer').innerHTML='<?php $plxShow->lang('REPLY_TO'); ?> :';
				document.getElementById('id_answer').innerHTML+=document.getElementById('com-'+idCom).innerHTML;
				document.getElementById('id_answer').innerHTML+='<a rel="nofollow" href="<?php $plxShow->artUrl(); ?>#form" onclick="cancelCom()"><?php $plxShow->lang('CANCEL'); ?></a>';
				document.getElementById('id_answer').style.display='inline-block';
				document.getElementById('id_parent').value=idCom;
				document.getElementById('id_content').focus();
			}			
			function cancelCom() {
				document.getElementById('id_answer').style.display='none';
				document.getElementById('id_parent').value='';
				document.getElementById('com_message').innerHTML='';
			}
			var parent = document.getElementById('id_parent').value;
			if(parent!='') { replyCom(parent) }
		</script>

	<?php else: ?>
		<p class="hentry"><?php $plxShow->lang('COMMENTS_CLOSED') ?>.</p>
	<?php endif; # Fin du if sur l'autorisation des commentaires ?>
